[IPython-User] IPython 4.0 on Python 3.4 & Windows 10 - Status Update #4

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[IPython-User] IPython 4.0 on Python 3.4 & Windows 10 - Status Update #4

Viktor Ransmayr
I'm able to run IPython 4.0 inside the qtconsole. - However, when I try to install the IPython HTML Notebook I receive the following errrors:

<Log>

PS C:\Users\Viktor> pip list
You are using pip version 6.0.8, however version 7.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
decorator (4.0.2)
ipykernel (4.0.3)
ipython (4.0.0)
ipython-genutils (0.1.0)
jupyter-client (4.0.0)
jupyter-core (4.0.4)
path.py (7.7)
pickleshare (0.5)
pip (6.0.8)
Pygments (2.0.2)
pyreadline (2.0)
pyzmq (14.7.0)
qtconsole (4.0.1)
setuptools (12.0.5)
simplegeneric (0.8.1)
traitlets (4.0.0)
PS C:\Users\Viktor> ipython qtconsole
[JupyterQtConsoleApp] shutdown: {'restart': False, 'status': 'ok'}
PS C:\Users\Viktor> pip install "ipython[notebook]"
You are using pip version 6.0.8, however version 7.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Requirement already satisfied (use --upgrade to upgrade): ipython[notebook] in c:\python34\lib\site-packages
Requirement already satisfied (use --upgrade to upgrade): traitlets in c:\python34\lib\site-packages (from ipython[notebook])
Requirement already satisfied (use --upgrade to upgrade): decorator in c:\python34\lib\site-packages (from ipython[notebook])
Requirement already satisfied (use --upgrade to upgrade): pickleshare in c:\python34\lib\site-packages (from ipython[notebook])
Requirement already satisfied (use --upgrade to upgrade): simplegeneric>0.8 in c:\python34\lib\site-packages (from ipython[notebook])
Collecting notebook (from ipython[notebook])
  Using cached notebook-4.0.4-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): ipython-genutils in c:\python34\lib\site-packages (from traitlets->ipython[notebook])
Requirement already satisfied (use --upgrade to upgrade): path.py in c:\python34\lib\site-packages (from pickleshare->ipython[notebook])
Collecting nbformat (from notebook->ipython[notebook])
  Using cached nbformat-4.0.0-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): jupyter-client in c:\python34\lib\site-packages (from notebook->ipython[notebook])
Collecting tornado>=4 (from notebook->ipython[notebook])
  Using cached tornado-4.2.1.tar.gz
Requirement already satisfied (use --upgrade to upgrade): ipykernel in c:\python34\lib\site-packages (from notebook->ipython[notebook])
Collecting jinja2 (from notebook->ipython[notebook])
  Using cached Jinja2-2.8-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): jupyter-core in c:\python34\lib\site-packages (from notebook->ipython[notebook])
Collecting nbconvert (from notebook->ipython[notebook])
  Using cached nbconvert-4.0.0-py2.py3-none-any.whl
Collecting jsonschema!=2.5.0,>=2.0 (from nbformat->notebook->ipython[notebook])
  Using cached jsonschema-2.5.1-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): pyzmq>=13 in c:\python34\lib\site-packages (from jupyter-client->notebook->ipython[notebook])
Collecting MarkupSafe (from jinja2->notebook->ipython[notebook])
  Using cached MarkupSafe-0.23.tar.gz
Collecting mistune!=0.6 (from nbconvert->notebook->ipython[notebook])
  Using cached mistune-0.7.1-py2.py3-none-any.whl
Requirement already satisfied (use --upgrade to upgrade): pygments in c:\python34\lib\site-packages (from nbconvert->notebook->ipython[notebook])
Installing collected packages: mistune, MarkupSafe, jsonschema, nbconvert, jinja2, tornado, nbformat, notebook

  Running setup.py install for MarkupSafe
    building 'markupsafe._speedups' extension
    ==========================================================================
    WARNING: The C extension could not be compiled, speedups are not enabled.
    Failure information, if any, is above.
    Retrying the build without the C extension now.
    ==========================================================================
    WARNING: The C extension could not be compiled, speedups are not enabled.
    Plain-Python installation succeeded.
    ==========================================================================



  Running setup.py install for tornado
    building 'tornado.speedups' extension
    Microsoft Visual C++ 10.0 is required (Unable to find vcvarsall.bat).
    C:\Users\Viktor\AppData\Local\Temp\pip-build-en5dg160\tornado\setup.py:94: UserWarning:
    ********************************************************************
    WARNING: The tornado.speedups extension module could not
    be compiled. No C extensions are essential for Tornado to run,
    although they do result in significant speed improvements for
    websockets.
    The output above this warning shows how the compilation failed.
    Here are some hints for popular operating systems:
    If you are seeing this message on Linux you probably need to
    install GCC and/or the Python development package for your
    version of Python.
    Debian and Ubuntu users should issue the following command:
        $ sudo apt-get install build-essential python-dev
    RedHat, CentOS, and Fedora users should issue the following command:
        $ sudo yum install gcc python-devel
    If you are seeing this message on OSX please read the documentation
    here:
    http://api.mongodb.org/python/current/installation.html#osx
    ********************************************************************
      "The output above "


Successfully installed MarkupSafe-0.23 jinja2-2.8 jsonschema-2.5.1 mistune-0.7.1 nbconvert-4.0.0 nbformat-4.0.0 notebook-4.0.4 tornado-4.2.1
PS C:\Users\Viktor> pip list
You are using pip version 6.0.8, however version 7.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
decorator (4.0.2)
ipykernel (4.0.3)
ipython (4.0.0)
ipython-genutils (0.1.0)
Jinja2 (2.8)
jsonschema (2.5.1)
jupyter-client (4.0.0)
jupyter-core (4.0.4)
MarkupSafe (0.23)
mistune (0.7.1)
nbconvert (4.0.0)
nbformat (4.0.0)
notebook (4.0.4)
path.py (7.7)
pickleshare (0.5)
pip (6.0.8)
Pygments (2.0.2)
pyreadline (2.0)
pyzmq (14.7.0)
qtconsole (4.0.1)
setuptools (12.0.5)
simplegeneric (0.8.1)
tornado (4.2.1)
traitlets (4.0.0)
PS C:\Users\Viktor>

</Log>

Any ideas about this issue?

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #4

Paul Moore
On 24 August 2015 at 21:54, Viktor Ransmayr <[hidden email]> wrote:
> Any ideas about this issue?

This looks like simply a case that you don't have Visual C 10
installed (as the message explains), and so the optional speedup
modules for tornado and markupsafe aren't being built. This is normal,
and shouldn't be causing an issue (other than the performance impact
of not having the speedups).

Is there some issue I'm not seeing?

Paul
_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user
Reply | Threaded
Open this post in threaded view
|

Re: IPython 4.0 on Python 3.4 & Windows 10 - Status Update #4

Viktor Ransmayr
Hello Paul,

On Mon, Aug 24, 2015 at 11:09 PM, Paul Moore <[hidden email]> wrote:
On 24 August 2015 at 21:54, Viktor Ransmayr <[hidden email]> wrote:
> Any ideas about this issue?

This looks like simply a case that you don't have Visual C 10
installed (as the message explains), and so the optional speedup
modules for tornado and markupsafe aren't being built. This is normal,
and shouldn't be causing an issue (other than the performance impact
of not having the speedups).

Is there some issue I'm not seeing?

Looks like the problem was on my side. - I (mis)read the log in such a way that notebook was not completely built.

Now I just started the notebook server & the files of my home directory is displayed ...

Thanks a lot for this clarification!

With kind regards,

Viktor


_______________________________________________
IPython-User mailing list
[hidden email]
http://mail.scipy.org/mailman/listinfo/ipython-user